/*------------------------------------*\
    #TEXTTRANSFORM
\*------------------------------------*/
/**
 * Text transform helpers.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}text-lowercase,
%#{$inuit-namespace}text-lowercase {
    text-transform: lowercase;
}

.#{$inuit-namespace}text-uppercase,
%#{$inuit-namespace}text-uppercase {
    text-transform: uppercase;
}

.#{$inuit-namespace}text-capitalize,
%#{$inuit-namespace}text-capitalize {
    text-transform: capitalize;
}

.#{$inuit-namespace}text-nowrap,
%#{$inuit-namespace}text-nowrap {
    white-space: nowrap;
}

.#{$inuit-namespace}text-truncate,
%#{$inuit-namespace}text-truncate {
    @include frs-text-truncate;
}

.#{$inuit-namespace}text-indent,
%#{$inuit-namespace}text-indent {
    margin-left: 30px;
}

.#{$inuit-namespace}text,
%#{$inuit-namespace}text {
    &__currency {
        font-size: $frs-base-font-size * 2;
        position: absolute;
        right: 0;
        top: 0;
        height: $frs-base-unit-small;
        line-height: $frs-base-unit-small;

        @media #{$large-up} {
            height: $frs-base-unit;
            line-height: $frs-base-unit;
        }
    }

    &__hint {
        font-size: 14px;
        color: $frs-color-grey;

        &--currency {
            strong {
                font-style: italic;
            }
        }
    }
}

